API ReferenceManagementResource Policies
POST
/v1/mgmt/resourcepolicy/create/batch

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

policies?array<CreateResourcePolicyRequest>

Create multiple resource policies, using a valid management key.

curl -X POST "https://api.descope.com/v1/mgmt/resourcepolicy/create/batch" \  -H "Content-Type: application/json" \  -d '{}'
{  "resourcePolicies": [    {      "version": "string",      "thirdPartyApplicationId": "string",      "resourceId": "string",      "userAccessScopes": [        "string"      ],      "clientAccessScopes": [        "string"      ],      "allUserScopes": true,      "allClientScopes": true,      "createdTime": "string",      "modifiedTime": "string"    }  ]}
export interface Response {resourcePolicies?: ResourcePolicy[]}/** * ResourcePolicy CRUD messages */export interface ResourcePolicy {version?: stringthirdPartyApplicationId?: stringresourceId?: stringuserAccessScopes?: string[]clientAccessScopes?: string[]allUserScopes?: booleanallClientScopes?: booleancreatedTime?: stringmodifiedTime?: string}
Was this helpful?